package com.testor.module.safe.service;


import com.testor.module.safe.model.domain.TSafeHazardStandardType;
import com.testor.module.safe.model.dto.TSafeHazardStandardTypeAllVO;
import com.testor.module.safe.model.dto.TSafeHazardStandardTypeEditDTO;
import com.testor.module.safe.model.dto.TSafeHazardStandardTypeParam;
import com.testor.module.safe.model.vo.TSafeHazardStandardTypeVO;
import com.tongtech.tfw.backend.common.biz.models.BaseResponse;
import com.tongtech.tfw.backend.common.biz.models.BaseResponseList;
import com.tongtech.tfw.backend.common.models.supers.SuperService;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 巡检排查标准管理Service接口
 *
 * @author testor-framework
 * @date 2022-08-08 10:55:55
 */
public interface TSafeHazardStandardTypeService extends SuperService<TSafeHazardStandardType> {

    TSafeHazardStandardType getOne(TSafeHazardStandardTypeParam queryParam);

    BaseResponse<TSafeHazardStandardType> addEntity(@RequestBody TSafeHazardStandardTypeEditDTO addRequest);

    BaseResponse<TSafeHazardStandardType> updateEntity(@RequestBody TSafeHazardStandardTypeEditDTO updateRequest);

    BaseResponse<BaseResponseList<TSafeHazardStandardTypeVO>> listEntity(TSafeHazardStandardTypeParam param);

    BaseResponse<List<TSafeHazardStandardTypeAllVO>> listAll();

    List<TSafeHazardStandardType> listLevelOne();

    int maxSort();

    int currentSort();
}
